Skip to main content

Update a product option

PATCH https://pos.paysera.com/eapi/v1/product-options/{id}

Update an existing product option.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
idinteger✓The product option ID

Request Body​

FieldTypeRequiredDescription
titleobject✓Multi-language product option title keyed by language code. Tenant system language is required. Supported languages: lt, en, lv, et, pl.

Errors​

This endpoint may return the following errors:

400 - Bad Request​

Invalid request

This error is resulted by incorrectly providing one of the parameters.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Product option not found

This error indicates the requested resource was not found.

422 - Unprocessable Entity​

Unprocessable entity

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

PATCH https://pos.paysera.com/eapi/v1/product-options/{id}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
"title": {
"lt": "Spalva",
"en": "Color"
}
}

Response​

{
"id": 1,
"title": {
"lt": "Spalva",
"en": "Color"
},
"createdAt": "2026-05-05T12:00:00Z",
"updatedAt": "2026-05-05T12:00:00Z"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com
Body REQUIRED
{
"title": {
"lt": "Spalva",
"en": "Color"
}
}

RESPONSE

Product option updated successfully
{
"id": 1,
"title": {
"lt": "Spalva",
"en": "Color"
},
"createdAt": "2026-05-05T12:00:00Z",
"updatedAt": "2026-05-05T12:00:00Z"
}